| language-c-0.3.1.1: Analysis and generation of C code | Source code | Contents | Index
Language.C.Syntax.Ops |
Portability | ghc
Stability | experimental
Maintainer | benedikt.huber@gmail.com
Contents
Assignment operators Unary operators Binary operators
Description
Unary, binary and asssignment operators. Exported via AST.
Synopsis
data CAssignOp
= CAssignOp
| CMulAssOp
| CDivAssOp
| CRmdAssOp
| CAddAssOp
| CSubAssOp
| CShlAssOp
| CShrAssOp
| CAndAssOp
| CXorAssOp
| COrAssOp
data CUnaryOp
= CPreIncOp
| CPreDecOp
| CPostIncOp
| CPostDecOp
| CAdrOp
| CIndOp
| CPlusOp
| CMinOp
| CCompOp
| CNegOp
data CBinaryOp
= CMulOp
| CDivOp
| CRmdOp
| CAddOp
| CSubOp
| CShlOp
| CShrOp
| CLeOp
| CGrOp
| CLeqOp
| CGeqOp
| CEqOp
| CNeqOp
| CAndOp
| CXorOp
| COrOp
| CLndOp
| CLorOp
Assignment operators
data CAssignOp | Source
C assignment operators (K&R A7.17)
Constructors
CAssignOp |
CMulAssOp |
CDivAssOp |
CRmdAssOp | remainder and assignment
CAddAssOp |
CSubAssOp |
CShlAssOp |
CShrAssOp |
CAndAssOp |
CXorAssOp |
COrAssOp |
Instances
Eq CAssignOp
Data CAssignOp
Ord CAssignOp
Show CAssignOp
Typeable CAssignOp
Pretty CAssignOp
Unary operators
data CUnaryOp | Source
C unary operator (K&R A7.3-4)
Constructors
CPreIncOp | prefix increment operator
CPreDecOp | prefix decrement operator
CPostIncOp | postfix increment operator
CPostDecOp | postfix decrement operator
CAdrOp | address operator
CIndOp | indirection operator
CPlusOp | prefix plus
CMinOp | prefix minus
CCompOp | one's complement
CNegOp | logical negation
Instances
Eq CUnaryOp
Data CUnaryOp
Ord CUnaryOp
Show CUnaryOp
Typeable CUnaryOp
Pretty CUnaryOp
Binary operators
data CBinaryOp | Source
C binary operators (K&R A7.6-15)
Constructors
CMulOp |
CDivOp |
CRmdOp | remainder of division
CAddOp |
CSubOp |
CShlOp | shift left
CShrOp | shift right
CLeOp | less
CGrOp | greater
CLeqOp | less or equal
CGeqOp | greater or equal
CEqOp | equal
CNeqOp | not equal
CAndOp | bitwise and
CXorOp | exclusive bitwise or
COrOp | inclusive bitwise or
CLndOp | logical and
CLorOp | logical or
Instances
Eq CBinaryOp
Data CBinaryOp
Ord CBinaryOp
Show CBinaryOp
Typeable CBinaryOp
Pretty CBinaryOp
Produced by Haddock version 2.4.2